From 28c28301fd19e1dd388f297971a4379422b9ae5b Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Sat, 26 Apr 2025 23:47:34 -0400
Subject: [PATCH v1] Provisional fix

---
 src/backend/access/nbtree/nbtutils.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/backend/access/nbtree/nbtutils.c b/src/backend/access/nbtree/nbtutils.c
index 93bdbed04..ffad1bf48 100644
--- a/src/backend/access/nbtree/nbtutils.c
+++ b/src/backend/access/nbtree/nbtutils.c
@@ -2960,6 +2960,10 @@ _bt_check_compare(IndexScanDesc scan, ScanDirection dir,
 					*continuescan = false;
 			}
 
+			if (unlikely(forcenonrequired && key->sk_flags & SK_BT_SKIP))
+				return _bt_advance_array_keys(scan, NULL, tuple, tupnatts,
+											  tupdesc, *ikey, false);
+
 			/*
 			 * In any case, this indextuple doesn't match the qual.
 			 */
-- 
2.49.0

